import { CompileC, CompileCpp, CompileLlvmIrToAssembly, CompileRust, CompileSwift } from '../../../../code/type/index.js';
export declare function buildCommandToCompileC(input: CompileC): Promise<import("../../../../code/type/index.js").Command>;
export declare function buildCommandToCompileCpp(input: CompileCpp): Promise<import("../../../../code/type/index.js").Command>;
export declare function buildCommandToCompileSwift(input: CompileSwift): import("../../../../code/type/index.js").Command[];
export declare function buildCommandToCompileRust(input: CompileRust): import("../../../../code/type/index.js").Command[];
export declare function buildCommandToCompileLlvmIrToAssembly(input: CompileLlvmIrToAssembly): import("../../../../code/type/index.js").Command[];
